jm.midi.event

## Class KeySig

- java.lang.Object
- - jm.midi.event.KeySig

- All Implemented Interfaces:
    Event

      public final class KeySig
      extends java.lang.Object
      implements Event

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeySig()` Default Constructor
    `KeySig(int keySig, int keyQual)`
    `KeySig(int time, int keySig, int keyQual)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Event` | `copy()` Makes a copy of an event
    `short` | `getID()` Retrieve an events id
    `int` | `getKeyQuality()`
    `int` | `getKeySig()`
    `int` | `getTime()` Retrieve an events time
    `void` | `print()` Print this events data in a System.out.println format
    `int` | `read(java.io.DataInputStream dis)` Read the contends of this objec in from disk. Implemented by Sean T.
    `void` | `setKeyQuality(int keyQuality)`
    `void` | `setKeySig(int keySig)`
    `void` | `setTime(int time)` Set an events time
    `int` | `write(java.io.DataOutputStream dos)` write out event data to disk

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeySig

          public KeySig()

      Default Constructor

    - #### KeySig

          public KeySig(int keySig,
                int keyQual)

    - #### KeySig

          public KeySig(int time,
                int keySig,
                int keyQual)

  - ### Method Detail

    - #### getKeyQuality

          public int getKeyQuality()

    - #### setKeyQuality

          public void setKeyQuality(int keyQuality)

    - #### getKeySig

          public int getKeySig()

    - #### setKeySig

          public void setKeySig(int keySig)

    - #### getTime

          public int getTime()

      Description copied from interface: `Event`
      Retrieve an events time
      Specified by:
        `getTime` in interface `Event`

    - #### setTime

          public void setTime(int time)

      Description copied from interface: `Event`
      Set an events time
      Specified by:
        `setTime` in interface `Event`

    - #### getID

          public short getID()

      Description copied from interface: `Event`
      Retrieve an events id
      Specified by:
        `getID` in interface `Event`

    - #### write

          public int write(java.io.DataOutputStream dos)
                    throws java.io.IOException

      Description copied from interface: `Event`
      write out event data to disk
      Specified by:
        `write` in interface `Event`
      Throws:
        `java.io.IOException`

    - #### read

          public int read(java.io.DataInputStream dis)
                   throws java.io.IOException

      Read the contends of this objec in from disk.
      Implemented by Sean T. Hayes
      Specified by:
        `read` in interface `Event`
      Parameters:
        `dis` - stream containing midi events
      Returns:
        the number of bytes read from `dis`
      Throws:
        `java.io.IOException`

    - #### copy

          public Event copy()
                     throws java.lang.CloneNotSupportedException

      Description copied from interface: `Event`
      Makes a copy of an event
      Specified by:
        `copy` in interface `Event`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### print

          public void print()

      Description copied from interface: `Event`
      Print this events data in a System.out.println format
      Specified by:
        `print` in interface `Event`